<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\CompanyInfosTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\CompanyInfosTable Test Case
 */
class CompanyInfosTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\CompanyInfosTable
     */
    protected $CompanyInfos;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected array $fixtures = [
        'app.CompanyInfos',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('CompanyInfos') ? [] : ['className' => CompanyInfosTable::class];
        $this->CompanyInfos = $this->getTableLocator()->get('CompanyInfos', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->CompanyInfos);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @link \App\Model\Table\CompanyInfosTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
